Get Blog posts by Blog ID
The “Get Blog posts by Blog ID” API allows you get blog posts for any given blog site using blog ID.
GET
/
blogs
/
posts
/
all
Get Blog posts by Blog ID
curl --request GET \
--url https://services.leadconnectorhq.com/blogs/posts/all \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.leadconnectorhq.com/blogs/posts/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/blogs/posts/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"blogs": {
"categories": [
"659ecabc4a37969a2b7cc370",
"6683abde331c041f32c07aee"
],
"tags": [
"Apple",
"Banana"
],
"archived": false,
"_id": "66c381b38be80858b9af62b6",
"title": "Banana is good source of energy",
"description": "Description",
"imageUrl": "https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg",
"status": "PUBLISHED",
"locationId": "fACm0Ojm5oC70G3DcFmE",
"imageAltText": "alt",
"blogId": "ZiMMOp3ZEdnsZ4qPAjW0",
"urlSlug": "banana-good-energy",
"canonicalLink": "https://blog.chatgpts.agency/post/test-8384",
"author": "659ec9634a3796e4e47cc360",
"publishedAt": "2024-08-19T17:14:57.000Z",
"createdAt": "2024-08-19T17:32:35.362Z",
"updatedAt": "2024-08-19T17:32:36.182Z",
"currentVersion": "66c381b38be80858b9af62b7"
}
}Authorizations
Query Parameters
Last modified on March 8, 2026
Was this page helpful?
Get Blog posts by Blog ID
curl --request GET \
--url https://services.leadconnectorhq.com/blogs/posts/all \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.leadconnectorhq.com/blogs/posts/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/blogs/posts/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"blogs": {
"categories": [
"659ecabc4a37969a2b7cc370",
"6683abde331c041f32c07aee"
],
"tags": [
"Apple",
"Banana"
],
"archived": false,
"_id": "66c381b38be80858b9af62b6",
"title": "Banana is good source of energy",
"description": "Description",
"imageUrl": "https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg",
"status": "PUBLISHED",
"locationId": "fACm0Ojm5oC70G3DcFmE",
"imageAltText": "alt",
"blogId": "ZiMMOp3ZEdnsZ4qPAjW0",
"urlSlug": "banana-good-energy",
"canonicalLink": "https://blog.chatgpts.agency/post/test-8384",
"author": "659ec9634a3796e4e47cc360",
"publishedAt": "2024-08-19T17:14:57.000Z",
"createdAt": "2024-08-19T17:32:35.362Z",
"updatedAt": "2024-08-19T17:32:36.182Z",
"currentVersion": "66c381b38be80858b9af62b7"
}
}